# $Revision: 1.11 $, $Date: 2012/01/14 10:41:44 $
Summary:	Python Module for Accessing and Modifying Configuration Data in INI files
Name:		python-iniparse
Version:	0.4
Release:	1
Group:		Development/Libraries
Source0:	http://iniparse.googlecode.com/files/iniparse-%{version}.tar.gz
# Source0-md5:	5e573e9e9733d97623881ce9bbe5eca6
License:	MIT
URL:		http://code.google.com/p/iniparse/
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
iniparse is an INI parser for Python which is API compatible with the
standard library's ConfigParser, preserves structure of INI files
(order of sections & options, indentation, comments, and blank lines
are preserved when data is updated), and is more convenient to use.

%prep
%setup -q -n iniparse-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

rm -rf $RPM_BUILD_ROOT%{_docdir}/iniparse-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%{py_sitescriptdir}/iniparse
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/iniparse-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-iniparse.spec,v $
Revision 1.11  2012/01/14 10:41:44  zbyniu
- up to 0.4

Revision 1.10  2011/01/22 19:50:27  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.9  2010/11/13 00:19:25  pawelz
- release 3

Revision 1.8  2010/07/08 08:15:22  arekm
- release 2

Revision 1.7  2009/03/14 16:57:52  duddits
- up to 0.3.1

Revision 1.6  2009/01/21 21:06:27  arekm
- up to 0.2.4

Revision 1.5  2008/11/10 23:21:06  glen
- release 4

Revision 1.4  2008/11/10 23:18:07  glen
- python 2.4 compatible, docs

Revision 1.3  2008/10/08 16:03:32  arekm
- release 3

Revision 1.2  2008/10/03 17:51:24  arekm
- release 2

Revision 1.1  2008/08/27 20:15:59  patrys
- initial PLD release
- spec taken from Fedora
